/*- Globals.h -----------------------------------------------------------------*\
|
|   Contains:   Global needs.
|
|   Written by: Tom Plunket, tomas@teleport.com:  TJP
|
|   Copyright:  (c) 1997, 1998 by Tom Plunket
|               File may be freely redistributed in a purely electronic format
|               without consent of the author.  Distribution through any other
|               means requires written consent.
|
|   File history:
|       12/31/97    TJP
|       File created.
|
|        1/28/98    TJP
|       Added protos for GetNode() and GetNodes().
|
\*-----------------------------------------------------------------------------*/
#ifndef __GLOBALS_H__TJP
#define __GLOBALS_H__TJP

#include <Max.h>

//---------------------------
// Global things
extern HINSTANCE hInstance;  // in Globals.cpp

#define TOMS_PLUGINS (_T("Fancy Plugins"))

INode* GetNode(RefTargetHandle obj);
int GetNodes(RefTargetHandle obj, INodeTab* nt);

inline Matrix3 operator/(Matrix3& m1, Matrix3& m2) { return m1 * Inverse(m2); }
inline Point3 operator/(Point3& p, Matrix3& m) { return p * Inverse(m); }
/*
class CDlgClassBase
{
public:
    virtual BOOL DlgProc(HWND, UINT, WPARAM, LPARAM)=0;
};
BOOL CALLBACK BaseDlgProc(HWND, UINT, WPARAM, LPARAM);
*/
#endif // ndef __GLOBALS_H__TJP
